GNU bug report logs - #68790
[PATCH 0/9] Update rdkit and its dependencies

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: David Elsing <david.elsing@HIDDEN>; Keywords: patch; Done: Christopher Baines <mail@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 68790-done <at> debbugs.gnu.org:


Received: (at 68790-done) by debbugs.gnu.org; 13 Feb 2024 12:19:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 13 07:19:07 2024
Received: from localhost ([127.0.0.1]:42563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rZrkg-00015f-QV
	for submit <at> debbugs.gnu.org; Tue, 13 Feb 2024 07:19:07 -0500
Received: from mira.cbaines.net ([212.71.252.8]:43120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1rZrkf-00015X-Ll
 for 68790-done <at> debbugs.gnu.org; Tue, 13 Feb 2024 07:19:06 -0500
Received: from localhost (unknown [212.132.255.10])
 by mira.cbaines.net (Postfix) with ESMTPSA id A136C27BBE2;
 Tue, 13 Feb 2024 12:18:47 +0000 (GMT)
Received: from felis (localhost.lan [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id a01c52c7;
 Tue, 13 Feb 2024 12:18:47 +0000 (UTC)
References: <20240128225919.795-2-david.elsing@HIDDEN>
User-agent: mu4e 1.10.7; emacs 29.1
From: Christopher Baines <mail@HIDDEN>
To: David Elsing <david.elsing@HIDDEN>
Subject: Re: [bug#68790] [PATCH 0/9] Update rdkit and its dependencies
Date: Tue, 13 Feb 2024 12:18:15 +0000
In-reply-to: <20240128225919.795-2-david.elsing@HIDDEN>
Message-ID: <87cyt0blqw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68790-done
Cc: 68790-done <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


David Elsing <david.elsing@HIDDEN> writes:

> This patch series updates rdkit and some of its dependencies.
>
> I incorporated the patch from [1], which was addressed upstream, but is
> not in a new release yet.
>
> It seems like RDKit is only tested on 64 bit systems upstream and
> several tests fail on i686 (including one due to a known bug in
> Boost.Python [2]), therefore I set supported-systems to
> %64bit-supported-systems.
>
> Avalon Toolkit moved to a new repository [3], which was forked for RDKit
> [4]. As the changes in the fork are small and only fixes, I put them in
> a patch and use [3] as upstream.
>
> [1] https://issues.guix.gnu.org/64559
> [2] https://github.com/boostorg/python/issues/312
> [3] https://github.com/rohdebe1/ava-formake
> [4] https://github.com/rdkit/ava-formake
>
> David Elsing (9):
>   gnu: tinydir: Update to 1.2.6.
>   gnu: fast-float: Update to 6.0.0.
>   gnu: gemmi: Update to 0.6.4.
>   gnu: maeparser: Update to 1.3.1.
>   gnu: coordgenlibs: Update to 3.0.2.
>   gnu: yaehmop: Update to 2023.03.1.
>   gnu: avalon-toolkit: Update to 2.0.5a.
>   gnu: freesasa: Fix memerr tests.
>   gnu: rdkit: Update to 2023.09.4.

Thanks for the patches David, they look good to me so I've pushed them
all to master as e5bfc462dd695a570fe88c4c6d6efee808fd1a56.

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAmXLXidfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9Xdzxw//Sl1UxXgsSR23PC7CYLTToMcSE3dp0J0m
yhqLR+WzJkzFsHCPRYnlHhViptUiFkWMxnNEWJ/uPZGtImyz2Xm0gEcYwOrxCzKq
m7F39CTcMc+AIOrK/E7znj6o1stDemUwHeXzp6dgGFBFJ/UbIZF9p2nmtCInPuBk
f5MIoieOo+v8K0vP+yrw/ISwXw4uktQfU7Y6QNgvixkIbQfNSXVwGJaFtu/AzU92
uDA3EKjP8IZZDLks+qXcTE0fDfvfWRUPyF527LLi+3wh74b27yC5Sw3k7JEn4kH3
gDVZVhzxvGh+wpEGWVrzNse9ZQ2Oxs2xaBI7MvvhhOCX87P7RvPuWkypyC90L3DL
HnPMisC7G6oWEnwPlwYeiyjpOwByubre+a2ZXbHfb4hVxA9BxxC/lOVyUXkKeoor
mygfqHNupezG7XKh0hA7SMDWtVqYFKcRCeZUsmw4+6AVJCEfZVRGjWZre3NcnAwx
pUyfn1kL5PsPiLJGD7FViuuu0axk21Pz7tu4BgB1Ptk18RSk4eG4JWr7ctax/Uyi
VmQJu/RsQnC3GMKps7BocUDauhDTUwdDR/BJsq6pfXqL5fWFiFFEkBojTffUzs38
Z0IOwJl6nArFS47BCF96X+Ii708cIjQoimuPYqqxRCwjWVmug7CwYfvVzT3/HtCK
LFUHTcFSEY4=
=vhum
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to David Elsing <david.elsing@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Christopher Baines <mail@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Feb 2024 12:19:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 13 07:19:12 2024
Received: from localhost ([127.0.0.1]:42566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rZrkm-00015z-6H
	for submit <at> debbugs.gnu.org; Tue, 13 Feb 2024 07:19:12 -0500
Received: from lists.gnu.org ([209.51.188.17]:36244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1rZrkk-00015s-P9
 for submit <at> debbugs.gnu.org; Tue, 13 Feb 2024 07:19:11 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1rZrkQ-00030r-CT
 for guix-patches@HIDDEN; Tue, 13 Feb 2024 07:18:51 -0500
Received: from mira.cbaines.net ([212.71.252.8])
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1rZrkO-0005JG-IZ
 for guix-patches@HIDDEN; Tue, 13 Feb 2024 07:18:50 -0500
Received: from localhost (unknown [212.132.255.10])
 by mira.cbaines.net (Postfix) with ESMTPSA id A136C27BBE2;
 Tue, 13 Feb 2024 12:18:47 +0000 (GMT)
Received: from felis (localhost.lan [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id a01c52c7;
 Tue, 13 Feb 2024 12:18:47 +0000 (UTC)
References: <20240128225919.795-2-david.elsing@HIDDEN>
User-agent: mu4e 1.10.7; emacs 29.1
From: Christopher Baines <mail@HIDDEN>
To: David Elsing <david.elsing@HIDDEN>
Subject: Re: [bug#68790] [PATCH 0/9] Update rdkit and its dependencies
Date: Tue, 13 Feb 2024 12:18:15 +0000
In-reply-to: <20240128225919.795-2-david.elsing@HIDDEN>
Message-ID: <87cyt0blqw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=212.71.252.8; envelope-from=mail@HIDDEN;
 helo=mira.cbaines.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 68790-done <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


David Elsing <david.elsing@HIDDEN> writes:

> This patch series updates rdkit and some of its dependencies.
>
> I incorporated the patch from [1], which was addressed upstream, but is
> not in a new release yet.
>
> It seems like RDKit is only tested on 64 bit systems upstream and
> several tests fail on i686 (including one due to a known bug in
> Boost.Python [2]), therefore I set supported-systems to
> %64bit-supported-systems.
>
> Avalon Toolkit moved to a new repository [3], which was forked for RDKit
> [4]. As the changes in the fork are small and only fixes, I put them in
> a patch and use [3] as upstream.
>
> [1] https://issues.guix.gnu.org/64559
> [2] https://github.com/boostorg/python/issues/312
> [3] https://github.com/rohdebe1/ava-formake
> [4] https://github.com/rdkit/ava-formake
>
> David Elsing (9):
>   gnu: tinydir: Update to 1.2.6.
>   gnu: fast-float: Update to 6.0.0.
>   gnu: gemmi: Update to 0.6.4.
>   gnu: maeparser: Update to 1.3.1.
>   gnu: coordgenlibs: Update to 3.0.2.
>   gnu: yaehmop: Update to 2023.03.1.
>   gnu: avalon-toolkit: Update to 2.0.5a.
>   gnu: freesasa: Fix memerr tests.
>   gnu: rdkit: Update to 2023.09.4.

Thanks for the patches David, they look good to me so I've pushed them
all to master as e5bfc462dd695a570fe88c4c6d6efee808fd1a56.

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAmXLXidfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9Xdzxw//Sl1UxXgsSR23PC7CYLTToMcSE3dp0J0m
yhqLR+WzJkzFsHCPRYnlHhViptUiFkWMxnNEWJ/uPZGtImyz2Xm0gEcYwOrxCzKq
m7F39CTcMc+AIOrK/E7znj6o1stDemUwHeXzp6dgGFBFJ/UbIZF9p2nmtCInPuBk
f5MIoieOo+v8K0vP+yrw/ISwXw4uktQfU7Y6QNgvixkIbQfNSXVwGJaFtu/AzU92
uDA3EKjP8IZZDLks+qXcTE0fDfvfWRUPyF527LLi+3wh74b27yC5Sw3k7JEn4kH3
gDVZVhzxvGh+wpEGWVrzNse9ZQ2Oxs2xaBI7MvvhhOCX87P7RvPuWkypyC90L3DL
HnPMisC7G6oWEnwPlwYeiyjpOwByubre+a2ZXbHfb4hVxA9BxxC/lOVyUXkKeoor
mygfqHNupezG7XKh0hA7SMDWtVqYFKcRCeZUsmw4+6AVJCEfZVRGjWZre3NcnAwx
pUyfn1kL5PsPiLJGD7FViuuu0axk21Pz7tu4BgB1Ptk18RSk4eG4JWr7ctax/Uyi
VmQJu/RsQnC3GMKps7BocUDauhDTUwdDR/BJsq6pfXqL5fWFiFFEkBojTffUzs38
Z0IOwJl6nArFS47BCF96X+Ii708cIjQoimuPYqqxRCwjWVmug7CwYfvVzT3/HtCK
LFUHTcFSEY4=
=vhum
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at 68790 <at> debbugs.gnu.org:


Received: (at 68790) by debbugs.gnu.org; 28 Jan 2024 23:03:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:03:09 2024
Received: from localhost ([127.0.0.1]:58634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUEBA-0004Ya-1I
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:03:08 -0500
Received: from mout02.posteo.de ([185.67.36.66]:47935)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUEAx-0004WL-Nr
 for 68790 <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:56 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 2D51B24010A
 for <68790 <at> debbugs.gnu.org>; Mon, 29 Jan 2024 00:02:42 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482962; bh=0oNkx1KMh3q9m2iip/okr2GuHU9xJsyHDF2OVXxYvZ8=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:
 Content-Transfer-Encoding:From;
 b=TSxewV5eJD4J2+i5uBT4+Qa6AATTku4j964b0iJi/LQ+4BoiqK+mQHPvo9t4wFRgI
 mdcZSt9wWKQOsfVsB7iE9l8x1gFe2k7oDW2d1xRDya0kjTaJhrqZE0HaSox79hqgmg
 ajqT+Hucn5JWPAC0IYggsa6Cj6q017+A+KY/oJ6FFqstNY18/JrLtXDwdMAoaaPcpY
 /+aQLH0VV7sMP27sBxvsk6NsYt/Lmj5fKSmo2f+dU0qqPFL7Hnk51MpfjeVqxdic5e
 6Do1NPSyKXuMApEdsRfFNhgmsoNgYHz4C1MGrS/mkk7ByW5MQmRklYydbfZljX5ect
 iJCKdWDVl4yeA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRm151rwz6twr;
 Mon, 29 Jan 2024 00:02:41 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: 68790 <at> debbugs.gnu.org
Subject: [PATCH 9/9] gnu: rdkit: Update to 2023.09.4.
Date: Sun, 28 Jan 2024 23:02:02 +0000
Message-ID: <20240128230215.1389-9-david.elsing@HIDDEN>
In-Reply-To: <20240128225919.795-2-david.elsing@HIDDEN>
References: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68790
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/chemistry.scm (rdkit): Update to 2023.09.4.
[arguments]: Skip testConrec test in check phase.
[native-inputs]: Replace catch2 with catch2-3.
* gnu/packages/patches/rdkit-unbundle-external-dependencies.patch: Adjust
patch.
[supported-systems]: New field.
---
 gnu/packages/chemistry.scm                    |  15 +-
 ...rdkit-unbundle-external-dependencies.patch | 208 ++++++++++--------
 2 files changed, 126 insertions(+), 97 deletions(-)

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 98141737ac..bd27bfad7a 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -1073,7 +1073,7 @@ (define-public ringdecomposerlib
 (define-public rdkit
   (package
     (name "rdkit")
-    (version "2022.03.5")
+    (version "2023.09.4")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -1084,7 +1084,7 @@ (define-public rdkit
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "19idgilabh04cbr1qj6zgrgsfjm248mmfz6fsr0smrd68d0xnml9"))
+                "1lgcgijlzzwpfxndsdlx13npdfk7hcii11zg25cvpmzhbpn6vyn8"))
               (patches
                (search-patches "rdkit-unbundle-external-dependencies.patch"))
               (modules '((guix build utils)))
@@ -1183,7 +1183,10 @@ (define-public rdkit
                             "substructLibraryTest" "pyFeatures"
                             "pythonTestDirML" "pythonTestDirChem"
                             ;; Catching Python exception fails
-                            "pyRanker") "|")
+                            "pyRanker"
+                            ;; Flaky test depending on floating point rounding
+                            "testConrec"
+                            ) "|")
                          ")")))))))))
     (inputs
      (list avalon-toolkit
@@ -1200,7 +1203,7 @@ (define-public rdkit
     (native-inputs
      (list bison
            boost
-           catch2
+           catch2-3
            eigen
            flex
            freesasa
@@ -1214,4 +1217,8 @@ (define-public rdkit
     (description "RDKit is a C++ and Python library for cheminformatics, which
 includes (among other things) the analysis and modification of molecules in 2D
 and 3D and descriptor generation for machine learning.")
+    ;; For 32 bit systems, there is a bug in Boost.Python:
+    ;; https://github.com/boostorg/python/issues/312. Additionally, several
+    ;; other test fail.
+    (supported-systems %64bit-supported-systems)
     (license license:bsd-3)))
diff --git a/gnu/packages/patches/rdkit-unbundle-external-dependencies.patch b/gnu/packages/patches/rdkit-unbundle-external-dependencies.patch
index 8ee0611d3b..e22ff57ee0 100644
--- a/gnu/packages/patches/rdkit-unbundle-external-dependencies.patch
+++ b/gnu/packages/patches/rdkit-unbundle-external-dependencies.patch
@@ -58,99 +58,82 @@ diff --git a/External/AvalonTools/CMakeLists.txt b/External/AvalonTools/CMakeLis
 index 3e31195fc..314ba35b5 100644
 --- a/External/AvalonTools/CMakeLists.txt
 +++ b/External/AvalonTools/CMakeLists.txt
-@@ -2,107 +2,14 @@ if(NOT RDK_BUILD_AVALON_SUPPORT)
+@@ -2,90 +2,8 @@ if(NOT RDK_BUILD_AVALON_SUPPORT)
    return()
  endif(NOT RDK_BUILD_AVALON_SUPPORT)
  
+-set(AVALON_VERSION "2.0.5-pre.3")
 -if(NOT DEFINED AVALONTOOLS_DIR)
--  set(AVALONTOOLS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/SourceDistribution")
--  set(fileToPatch "${CMAKE_CURRENT_SOURCE_DIR}/SourceDistribution/common/reaccsio.c")
+-  set(AVALONTOOLS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/ava-formake-AvalonToolkit_${AVALON_VERSION}")
+-  set(fileToCheck "${AVALONTOOLS_DIR}/src/main/C/common/reaccsio.c")
 -  set(needDownload "TRUE")
--  if(EXISTS "${fileToPatch}")
--    file(READ "${fileToPatch}" buffer)
--    if("${buffer}" MATCHES "//MyFree\\(\\(char \\*\\)tempdir\\);")
--      set(needDownload "FALSE")
--    endif()
+-  if(EXISTS "${fileToCheck}")
+-    set(needDownload "FALSE")
 -  endif()
 -else()
 -  string(REGEX REPLACE "\\\\" "/" AVALONTOOLS_DIR ${AVALONTOOLS_DIR})
 -  set(needDownload "FALSE")
 -endif()
 -
--set(AVALON_SRC_PATH ${AVALONTOOLS_DIR}/common)
+-set(AVALON_SRC_PATH "${AVALONTOOLS_DIR}/src/main/C")
+-set(AVALON_COMMON_PATH "${AVALON_SRC_PATH}/common")
+-set(AVALON_INCLUDE_PATH "${AVALON_SRC_PATH}/include")
+-set(AVALON_PROGRAMS_PATH "${AVALON_SRC_PATH}/programs")
 -
 -if(needDownload)
 -  if(NOT DEFINED AVALONTOOLS_URL)
--    set(AVALONTOOLS_URL "https://sourceforge.net/projects/avalontoolkit/files/AvalonToolkit_1.2/AvalonToolkit_1.2.0.source.tar")
+-    set(AVALONTOOLS_URL "https://github.com/rdkit/ava-formake/archive/refs/tags/AvalonToolkit_${AVALON_VERSION}.tar.gz")
 -  endif()
 -  if(NOT DEFINED AVALONTOOLS_MD5SUM)
--    set(AVALONTOOLS_MD5SUM "092a94f421873f038aa67d4a6cc8cb54")
+-    set(AVALONTOOLS_MD5SUM "7a20c25a7e79f3344e0f9f49afa03351")
 -  endif()
 -  if(NOT DEFINED AVALONTOOLS_BASE)
 -    string(REGEX REPLACE "^.*/" "" AVALONTOOLS_BASE "${AVALONTOOLS_URL}")
 -  endif()
 -  downloadAndCheckMD5(${AVALONTOOLS_URL} "${CMAKE_CURRENT_SOURCE_DIR}/${AVALONTOOLS_BASE}" ${AVALONTOOLS_MD5SUM})
--  execute_process(COMMAND ${CMAKE_COMMAND} -E tar xf
--    ${CMAKE_CURRENT_SOURCE_DIR}/AvalonToolkit_1.2.0.source.tar
+-  execute_process(COMMAND ${CMAKE_COMMAND} -E tar xzf
+-    ${CMAKE_CURRENT_SOURCE_DIR}/AvalonToolkit_${AVALON_VERSION}.tar.gz
 -    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
--  # apply patch to AvalonTools
--  configure_file("${fileToPatch}" "${fileToPatch}.orig" COPYONLY)
--  file(READ "${fileToPatch}" buffer)
--  string(REGEX REPLACE "MyFree\\(\\(char \\*\\)tempdir\\);"
--    "//MyFree((char *)tempdir);" buffer "${buffer}")
--  file(WRITE "${fileToPatch}" "${buffer}")
--endif()
- 
- if (MSVC)
-   add_definitions("/D_CRT_SECURE_NO_WARNINGS")
-   add_compile_options(/wd4224 /wd4101 /wd4018 /wd4996 /wd4244 /wd4305 /wd4013 /wd4146 /wd4334 /wd4715 /wd4715 /nologo)
- endif(MSVC)
- 
--set(avalon_clib_srcs ${AVALON_SRC_PATH}/layout.c
--	${AVALON_SRC_PATH}/symboltable.c
--	${AVALON_SRC_PATH}/patclean.c
--	${AVALON_SRC_PATH}/utilities.c
--	${AVALON_SRC_PATH}/symbol_lists.c
--	${AVALON_SRC_PATH}/stereo.c
--	${AVALON_SRC_PATH}/set.c
--	${AVALON_SRC_PATH}/perceive.c
--	${AVALON_SRC_PATH}/local.c
--	${AVALON_SRC_PATH}/graph.c
--	${AVALON_SRC_PATH}/geometry.c
--	${AVALON_SRC_PATH}/forio.c
--	${AVALON_SRC_PATH}/depictutil.c
--	${AVALON_SRC_PATH}/denormal.c
--	${AVALON_SRC_PATH}/casutils.c
--	${AVALON_SRC_PATH}/ssmatch.c
--	${AVALON_SRC_PATH}/rtutils.c
--	${AVALON_SRC_PATH}/smi2mol.c
--	${AVALON_SRC_PATH}/didepict.c
--	${AVALON_SRC_PATH}/pattern.c
--	${AVALON_SRC_PATH}/canonizer.c
--	${AVALON_SRC_PATH}/aacheck.c
--	${AVALON_SRC_PATH}/fixcharges.c
--	${AVALON_SRC_PATH}/struchk.c
--	${AVALON_SRC_PATH}/reaccsio.c
--	${AVALON_SRC_PATH}/hashcode.c
--  )
--
--# we need this to ensure that builds continue
--# to work on linux systems with older versions
--# of glibc when we're building with gcc-4.1.
--# Without this flag, we'll endup requiring
--# glibc 2.7.
--if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
--    add_definitions(-D_GNU_SOURCE=1)
 -endif()
 -
--if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
--  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-return-type -Wno-implicit-function-declaration -Wno-absolute-value -Wno-parentheses -Wno-logical-op-parentheses -Wno-dangling-else -Wno-format")
+-if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
+-  add_compile_options(-Wno-format-security -Wformat=0 -Wstringop-overflow=0 -Wformat-overflow=0 -Wno-unused-result )
 -endif()
--if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
--  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-result -Wformat-overflow=0 -Wformat=0 -Wno-format-security -Wno-implicit-function-declaration")
+-if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
+-  add_compile_options(-Wno-absolute-value -Wno-return-type -Wno-tautological-overlap-compare)
 -endif()
+-if (MSVC)
+-  add_definitions("/D_CRT_SECURE_NO_WARNINGS")
+-  add_compile_options(/wd4018 /wd4101 /wd4146 /wd4334 /wd4477 /wd4715 /wd4716 /wd4996 /nologo)
+-endif(MSVC)
 -
--
+-set(avalon_clib_srcs ${AVALON_COMMON_PATH}/layout.c
+-	${AVALON_COMMON_PATH}/symboltable.c
+-	${AVALON_COMMON_PATH}/patclean.c
+-	${AVALON_COMMON_PATH}/utilities.c
+-	${AVALON_COMMON_PATH}/symbol_lists.c
+-	${AVALON_COMMON_PATH}/stereo.c
+-	${AVALON_COMMON_PATH}/set.c
+-	${AVALON_COMMON_PATH}/perceive.c
+-	${AVALON_COMMON_PATH}/local.c
+-	${AVALON_COMMON_PATH}/graph.c
+-	${AVALON_COMMON_PATH}/geometry.c
+-	${AVALON_COMMON_PATH}/forio.c
+-	${AVALON_COMMON_PATH}/depictutil.c
+-	${AVALON_COMMON_PATH}/denormal.c
+-	${AVALON_COMMON_PATH}/casutils.c
+-	${AVALON_COMMON_PATH}/ssmatch.c
+-	${AVALON_COMMON_PATH}/rtutils.c
+-	${AVALON_COMMON_PATH}/smi2mol.c
+-	${AVALON_COMMON_PATH}/didepict.c
+-	${AVALON_COMMON_PATH}/pattern.c
+-	${AVALON_COMMON_PATH}/canonizer.c
+-	${AVALON_COMMON_PATH}/aacheck.c
+-	${AVALON_COMMON_PATH}/fixcharges.c
+-	${AVALON_PROGRAMS_PATH}/struchk.c
+-	${AVALON_COMMON_PATH}/reaccsio.c
+-	${AVALON_COMMON_PATH}/hashcode.c
+-  )
 -
 -rdkit_library(avalon_clib ${avalon_clib_srcs})
 -target_compile_definitions(avalon_clib PRIVATE RDKIT_AVALONLIB_BUILD)
@@ -159,11 +142,11 @@ index 3e31195fc..314ba35b5 100644
 -endif()
 -
 -include_directories(${CMAKE_CURRENT_SOURCE_DIR})
--include_directories(${AVALON_SRC_PATH})
+-include_directories(${AVALON_INCLUDE_PATH})
 -
  rdkit_library(AvalonLib AvalonTools.cpp SHARED 
 -     LINK_LIBRARIES avalon_clib SubstructMatch FileParsers SmilesParse GraphMol DataStructs  )
-+     LINK_LIBRARIES -lavalontoolkit SubstructMatch FileParsers SmilesParse GraphMol DataStructs  )
++     LINK_LIBRARIES -lavalon4rdkit SubstructMatch FileParsers SmilesParse GraphMol DataStructs  )
  target_compile_definitions(AvalonLib PRIVATE RDKIT_AVALONLIB_BUILD)
  rdkit_headers(AvalonTools.h DEST GraphMol)
  rdkit_test(testAvalonLib1 test1.cpp
@@ -278,7 +261,7 @@ diff --git a/External/RingFamilies/CMakeLists.txt b/External/RingFamilies/CMakeL
 index 08dd1fe04..66ecd5834 100644
 --- a/External/RingFamilies/CMakeLists.txt
 +++ b/External/RingFamilies/CMakeLists.txt
-@@ -1,47 +1,6 @@
+@@ -1,47 +1,7 @@
 -add_custom_target(ringdecomposerlib_support ALL)
 -
  if(NOT RDK_USE_URF)
@@ -324,10 +307,9 @@ index 08dd1fe04..66ecd5834 100644
 -rdkit_headers(${URFLIB_DIR}/RingDecomposerLib.h DEST "")
 -
 -
--set(RDK_URF_LIBS RingDecomposerLib
--    CACHE STRING "the libraries for the URF calculation" FORCE)
 +rdkit_library(RingDecomposerLib dummy.cpp SHARED LINK_LIBRARIES -lRingDecomposerLib)
-+set(RDK_URF_LIBS RingDecomposerLib CACHE STRING "" FORCE)
+ set(RDK_URF_LIBS RingDecomposerLib
+     CACHE STRING "the libraries for the URF calculation" FORCE)
 diff --git a/External/RingFamilies/dummy.cpp b/External/RingFamilies/dummy.cpp
 new file mode 100644
 index 000000000..e69de29bb
@@ -335,40 +317,60 @@ diff --git a/External/YAeHMOP/CMakeLists.txt b/External/YAeHMOP/CMakeLists.txt
 index f1027b3bd..8bee2f910 100644
 --- a/External/YAeHMOP/CMakeLists.txt
 +++ b/External/YAeHMOP/CMakeLists.txt
-@@ -18,32 +18,8 @@ endif()
+@@ -4,52 +4,7 @@ endif(NOT RDK_BUILD_YAEHMOP_SUPPORT)
  
- include_directories( ${RDKit_ExternalDir}/YAeHMOP )
+ add_definitions(-DRDK_BUILD_YAEHMOP_SUPPORT)
  
--ExternalProject_Add(yaehmop_project
--  GIT_REPOSITORY https://github.com/greglandrum/yaehmop.git
--  GIT_TAG master
--  UPDATE_COMMAND ""
--  PATCH_COMMAND ""
--  PREFIX ${CMAKE_CURRENT_SOURCE_DIR}
--  SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/yaehmop"
--  SOURCE_SUBDIR "tightbind"
--  CMAKE_ARGS -DUSE_BLAS_LAPACK=OFF -DCMAKE_INSTALL_PREFIX=${PROJECT_BINARY_DIR} -DCMAKE_C_FLAGS=${CMAKE_C_FLAGS} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
--  TEST_COMMAND "")
--
--include_directories(${PROJECT_BINARY_DIR}/include)
--link_directories(${PROJECT_BINARY_DIR}/lib)
--link_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/yaehmop_project-build)
+-if(NOT DEFINED YAEHMOP_DIR)
+-  set(YAEHMOP_DIR "${CMAKE_CURRENT_SOURCE_DIR}/yaehmop")
+-endif()
+-
+-if(NOT EXISTS "${YAEHMOP_DIR}/tightbind/bind.h")
+-    set(RELEASE_NO "2023.03.1")
+-    set(MD5 "e6450f13e02c54d024233b993c3c7ff6")
+-    downloadAndCheckMD5("https://github.com/greglandrum/yaehmop/archive/refs/tags/v${RELEASE_NO}.tar.gz"
+-          "${CMAKE_CURRENT_SOURCE_DIR}/yaehmop-${RELEASE_NO}.tar.gz" ${MD5})
+-    execute_process(COMMAND ${CMAKE_COMMAND} -E tar zxf
+-      ${CMAKE_CURRENT_SOURCE_DIR}/yaehmop-${RELEASE_NO}.tar.gz
+-      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
+-
+-    file(RENAME "yaehmop-${RELEASE_NO}" "${YAEHMOP_DIR}")
+-else()
+-  message("-- Found YAeHMOP source in ${YAEHMOP_DIR}")
+-endif()
+-
+-set(yaehmop_INCLUDE_DIRS ${YAEHMOP_DIR}/..
+-     CACHE STRING "yaehmop Include File" FORCE)
+-include_directories(${yaehmop_INCLUDE_DIRS})
+-
+-if(CMAKE_COMPILER_IS_GNUCXX AND NOT CYGWIN)
+-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
+-endif()
+-if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
+-endif()
+-
+-# bring in the eHT code, but skip the targets (we'll get yaehmop_eht anyway because it's a dependency)
+-add_subdirectory(yaehmop/tightbind EXCLUDE_FROM_ALL True)
+-
+-# set install dir for the yaehmop library:
+-INSTALL(TARGETS yaehmop_eht EXPORT rdkit-targets
+-        DESTINATION ${RDKit_LibDir}/${RDKLIB_DEST}
+-        COMPONENT runtime )
+-
+-
+-
 -
 -set(EHT_PARAM_FILE ${CMAKE_CURRENT_SOURCE_DIR}/yaehmop/tightbind/eht_parms.dat )
 -install(FILES ${EHT_PARAM_FILE}
 -        DESTINATION ${RDKit_ShareDir}/Data
 -        COMPONENT data)
 -
--message("YAeHMOP include_dirs: ${PROJECT_BINARY_DIR}/include")
--message("YAeHMOP link_dirs: ${PROJECT_BINARY_DIR}/lib ${CMAKE_CURRENT_SOURCE_DIR}/src/yaehmop_project-build")
--
 -rdkit_library(EHTLib EHTTools.cpp SHARED LINK_LIBRARIES yaehmop_eht GraphMol )
 +rdkit_library(EHTLib EHTTools.cpp SHARED LINK_LIBRARIES -lyaehmop_eht GraphMol )
  target_compile_definitions(EHTLib PRIVATE RDKIT_EHTLIB_BUILD)
--add_dependencies(EHTLib yaehmop_project)
  rdkit_headers(EHTTools.h DEST GraphMol)
  rdkit_catch_test(testEHTLib1 test1.cpp
-            LINK_LIBRARIES EHTLib FileParsers SmilesParse )
 diff --git a/External/YAeHMOP/EHTTools.cpp b/External/YAeHMOP/EHTTools.cpp
 index 7a229f51f..71033dc5c 100644
 --- a/External/YAeHMOP/EHTTools.cpp
@@ -382,3 +384,23 @@ index 7a229f51f..71033dc5c 100644
  }
  
  namespace RDKit {
+@@ -160,4 +160,4 @@ bool runMol(const ROMol &mol, EHTResults &results, int confId,
+ }
+ 
+ }  // end of namespace EHTTools
+-}  // end of namespace RDKit
+\ No newline at end of file
++}  // end of namespace RDKit
+diff --git a/External/YAeHMOP/Wrap/CMakeLists.txt b/External/YAeHMOP/Wrap/CMakeLists.txt
+index 759a9f360..114d24532 100644
+--- a/External/YAeHMOP/Wrap/CMakeLists.txt
++++ b/External/YAeHMOP/Wrap/CMakeLists.txt
+@@ -4,6 +4,8 @@ rdkit_python_extension(rdEHTTools
+                        DEST Chem
+                        LINK_LIBRARIES
+                        EHTLib )
++
++target_include_directories(rdEHTTools PRIVATE ${RDKit_ExternalDir}/YAeHMOP)
+                        
+ add_pytest(pyEHTTools
+          ${CMAKE_CURRENT_SOURCE_DIR}/testEHTTools.py)
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at 68790 <at> debbugs.gnu.org:


Received: (at 68790) by debbugs.gnu.org; 28 Jan 2024 23:03:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:03:08 2024
Received: from localhost ([127.0.0.1]:58632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUEB9-0004YT-IQ
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:03:07 -0500
Received: from mout01.posteo.de ([185.67.36.65]:36857)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUEAw-0004WB-DZ
 for 68790 <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:54 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id D66F9240027
 for <68790 <at> debbugs.gnu.org>; Mon, 29 Jan 2024 00:02:40 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482960; bh=IVAn8t0f+MsY16zKNYINU4vs8CmZXSAUuF+WEc1DxYM=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:
 Content-Transfer-Encoding:From;
 b=pX4TLc8gWVOcSsjO2kaf7sbMsdEDp8sUmxCuKEBeTdlwfMn5sHpTYsoMGIgb55c8Q
 oc9Y0FARitTsm+GAmoBAOe7bJkC3svkUI+iS51qq5r1Z32XwoR4Ft8aqRdfsUzTpPN
 x5unZqrWzubAC/5fwJ9cgbb+2EQvST37xRAivjaM4a+olvppc4P2WRZUz6spJiEpt+
 OexKsvIv1OctIvDT/IspvTl6gM0SqL/uF7vdVBJLSNHajz0xcjzrBGTj3+iK5kJ1Ju
 rW0rdjtGnAO0HqNU/m4REN1rVc83uDALfEKHJjdTQEIqy5Oamjfr/lBwbOVP3dUX+n
 j29+SHeYrz8JQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRm03KFZz6twm;
 Mon, 29 Jan 2024 00:02:40 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: 68790 <at> debbugs.gnu.org
Subject: [PATCH 8/9] gnu: freesasa: Fix memerr tests.
Date: Sun, 28 Jan 2024 23:02:01 +0000
Message-ID: <20240128230215.1389-8-david.elsing@HIDDEN>
In-Reply-To: <20240128225919.795-2-david.elsing@HIDDEN>
References: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68790
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/chemistry.scm (freesasa)[arguments]: Add
"CFLAGS=-fno-builtin-malloc" to #:configure-flags.
---
 gnu/packages/chemistry.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 5e19bdf182..98141737ac 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -708,7 +708,12 @@ (define-public freesasa
       #~(list "--enable-check"
               "--enable-parser-generator"
               "CXXFLAGS=-std=c++17"
-              "--enable-doxygen")
+              "--enable-doxygen"
+              ;; Some tests rely on replacing malloc with a wrapper which
+              ;; fails in a controlled way, but this does not work if the call
+              ;; is replaced. This was fixed upstream, remove once there is a
+              ;; new release.
+              "CFLAGS=-fno-builtin-malloc")
       #:phases
       #~(modify-phases %standard-phases
           (add-after 'unpack 'remove-libc++-linking
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at 68790 <at> debbugs.gnu.org:


Received: (at 68790) by debbugs.gnu.org; 28 Jan 2024 23:03:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:03:07 2024
Received: from localhost ([127.0.0.1]:58630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUEB8-0004YJ-Go
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:03:07 -0500
Received: from mout02.posteo.de ([185.67.36.66]:48789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUEAs-0004Vn-Eo
 for 68790 <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:54 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id DE8FB240104
 for <68790 <at> debbugs.gnu.org>; Mon, 29 Jan 2024 00:02:36 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482956; bh=Xp5MjPKUrBBKkaf4ZrPbpzie22Bu8161qrhRL6vuiwk=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:Content-Type:
 Content-Transfer-Encoding:From;
 b=m2Wq6yW5+HOypo2JL8hnTD8PmVDIJ6tlxbkNBqofRjTooUIF/uSdWmAZr9IJh/NbZ
 Tp0CYMv4H1DSMGHs83fmcLGaom+Q6MFc6LMxrULa0LPTjtA2mA2Rq6fYSeGFMe7EaO
 xMS0OMiiNKgDjdRuIl1J/gC03cMVGENBDv6AnRyw3FoQUNEvIcliK0w16T35MMHDXG
 D5RTdd0lOtVLwf+btnPeenjyz5iC+qFfPqH/y13NQDiMNN32vMMC8Z0JUagw9llZQN
 baOdZh8bapKJkeOU/WJvhENXkuozT1NQ6UXeitEhVCon4f67BykMGLC41jbZybGwGa
 ba6XJ+kwhzVpg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRlw3w7Fz6ty8;
 Mon, 29 Jan 2024 00:02:36 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: 68790 <at> debbugs.gnu.org
Subject: [PATCH 5/9] gnu: coordgenlibs: Update to 3.0.2.
Date: Sun, 28 Jan 2024 23:01:58 +0000
Message-ID: <20240128230215.1389-5-david.elsing@HIDDEN>
In-Reply-To: <20240128225919.795-2-david.elsing@HIDDEN>
References: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68790
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/chemistry.scm (coordgenlibs): Update to 3.0.2.
---
 gnu/packages/chemistry.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 9086d659cc..44833d9c3f 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -6,7 +6,7 @@
 ;;; Copyright © 2020 Björn Höfling <bjoern.hoefling@HIDDEN>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright © 2021 Ricardo Wurmus <rekado@HIDDEN>
-;;; Copyright © 2022, 2023 David Elsing <david.elsing@HIDDEN>
+;;; Copyright © 2022, 2023, 2024 David Elsing <david.elsing@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -785,7 +785,7 @@ (define-public maeparser
 (define-public coordgenlibs
   (package
     (name "coordgenlibs")
-    (version "3.0.1")
+    (version "3.0.2")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -794,7 +794,7 @@ (define-public coordgenlibs
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0d09x3v38i9y184bml020bq7xizdrdwng38qmdxlplzfhqkjdidv"))))
+                "1wjaxwaihjy9xm5ys23f5abl50zcar1h9pww5ajdkgygsqy0bavi"))))
     (build-system cmake-build-system)
     (arguments
      (list
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at 68790 <at> debbugs.gnu.org:


Received: (at 68790) by debbugs.gnu.org; 28 Jan 2024 23:03:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:03:06 2024
Received: from localhost ([127.0.0.1]:58628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUEB7-0004YG-CV
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:03:06 -0500
Received: from mout01.posteo.de ([185.67.36.65]:39999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUEAu-0004Vw-Uy
 for 68790 <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:54 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 65D4324002B
 for <68790 <at> debbugs.gnu.org>; Mon, 29 Jan 2024 00:02:39 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482959; bh=qi6RoTHRuV7XGZNfGyT6A08Ks8RtNE7/4I0wCH7GAyo=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:Content-Type:
 Content-Transfer-Encoding:From;
 b=TdZcJZo1X6moBHmACHmu/428Vt2KZQOcnYL7JBiDGmEr/x1Ods/WfAIMv6y07Y83y
 TLPKbt3JJUJAuc7UMpwRKYYJCqWUkPE6V89uKlCbvmEnHUqb/mwHGNCT6SUl+cPGOw
 AklmL2VyupivpVl4PgbNkd8MkaCPo686xDVxHFTYcN3nBQ2zxHws5ey2r//tWlDSc0
 ZiJIKchThxBSTCiFcBelettdZ2QYMX/o024FEZ2478VEPb6KYmIHVivci3YeBxUg8w
 NNHKV/6DP5QTNyJpJcdtHZe/WzmZvGTVvTvxpMbGQsrJgyhIb0MZ4u5QMGkGMNZ6LQ
 g4BeLzzwaHkuw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRlz0M6yz6tyh;
 Mon, 29 Jan 2024 00:02:39 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: 68790 <at> debbugs.gnu.org
Subject: [PATCH 7/9] gnu: avalon-toolkit: Update to 2.0.5a.
Date: Sun, 28 Jan 2024 23:02:00 +0000
Message-ID: <20240128230215.1389-7-david.elsing@HIDDEN>
In-Reply-To: <20240128225919.795-2-david.elsing@HIDDEN>
References: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68790
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

The bug freeing static memory and the makefile have been improved upstream, so
we don't have to work around them anymore. Now, two static libraries are built
instead.

* gnu/packages/chemistry.scm (avalon-toolkit): Update to 2.0.5a.
[source]: Switch to git reference from GitHub. Adjust snippet. Add patch from
the RDKit fork.
[arguments]: Remove 'dont-free-static-memory phase. Use provided
makefile. Adjust 'install phase.
* gnu/packages/patches/avalon-toolkit-rdkit-fixes.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
---
 gnu/local.mk                                  |   2 +
 gnu/packages/chemistry.scm                    | 131 ++++++++----------
 .../patches/avalon-toolkit-rdkit-fixes.patch  | 110 +++++++++++++++
 3 files changed, 166 insertions(+), 77 deletions(-)
 create mode 100644 gnu/packages/patches/avalon-toolkit-rdkit-fixes.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index ab63bd5881..b5d61eb4dd 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -63,6 +63,7 @@
 # Copyright © 2023 gemmaro <gemmaro.dev@HIDDEN>
 # Copyright © 2023 Herman Rimm <herman@HIDDEN>
 # Copyright © 2023 Troy Figiel <troy@HIDDEN>
+# Copyright © 2024 David Elsing <david.elsing@HIDDEN>
 #
 # This file is part of GNU Guix.
 #
@@ -952,6 +953,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/audiofile-function-signature.patch	\
   %D%/packages/patches/automake-skip-amhello-tests.patch	\
   %D%/packages/patches/avahi-localstatedir.patch		\
+  %D%/packages/patches/avalon-toolkit-rdkit-fixes.patch		\
   %D%/packages/patches/avidemux-install-to-lib.patch		\
   %D%/packages/patches/awesome-reproducible-png.patch		\
   %D%/packages/patches/awesome-4.3-fno-common.patch		\
diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 4a9dd97c5b..5e19bdf182 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -917,90 +917,67 @@ (define-public yaehmop
 (define-public avalon-toolkit
   (package
     (name "avalon-toolkit")
-    (version "1.2.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append
-             "mirror://sourceforge/avalontoolkit/"
-             "AvalonToolkit_" (substring version 0 3) "/AvalonToolkit_"
-             version ".source.tar"))
-       (sha256
-        (base32
-         "0rnnyy6axs2da7aa4q6l30ldavbk49v6l22llj1adn74h1i67bpv"))
-       (modules '((guix build utils) (ice-9 ftw)))
-       (snippet
-        #~(begin
-            (delete-file-recursively "../SourceDistribution/java")))))
+    (version "2.0.5a")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/rohdebe1/ava-formake")
+                    (commit (string-append "AvalonToolkit_" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1mfg40y5xc17sm59zdfc5sk22n9zm5zk0z1aw47chvl6hp465szk"))
+              (patches
+               (search-patches "avalon-toolkit-rdkit-fixes.patch"))
+              (modules '((guix build utils) (ice-9 ftw)))
+              (snippet
+               #~(begin
+                   (delete-file-recursively "src/main/java")
+                   (delete-file-recursively "src/test/target")))))
     (build-system gnu-build-system)
     (arguments
      (list
-      ;; There are no intended tests
+      ;; There is only one test, which is missing a file
       #:tests? #f
       #:phases
-      #~(let ((programs '("canonizer" "matchtest" "sketch" "smi2mol" "struchk")))
-          (modify-phases %standard-phases
-            (add-after 'unpack 'chdir
-              (lambda _ (chdir "common")))
-            (delete 'configure)
-            (add-before 'build 'dont-free-static-memory
-              (lambda _
-                (substitute* "reaccsio.c"
-                  (("MyFree\\(.*tempdir\\)" m)
-                   (string-append "/* freeing memory from getenv is bad */"
-                                  "// " m)))))
-            ;; The makefile has incorrect compiler flags and is missing some
-            ;; object files, so we build it ourselves.
-            (replace 'build
-              (lambda _
-                (for-each
-                 (lambda (part)
-                   (format #t "Compiling ~a.c ~~> ~a.o~%" part part)
-                   (invoke #$(cc-for-target) "-c" "-fPIC" "-O2"
-                           (string-append part ".c")
-                           "-o" (string-append part ".o")))
-                 (list "aacheck" "casutils" "denormal" "depictutil"
-                       "didepict" "fixcharges" "forio" "geometry"
-                       "graph" "hashcode" "layout" "local" "pattern"
-                       "perceive" "reaccsio" "rtutils" "set" "shortcut"
-                       "sketch" "ssmatch" "stereo" "symbol_lists"
-                       "symboltable" "utilities"))
-                (display "Building libavalontoolkit.so\n")
-                (apply invoke "gcc" "-fPIC" "-shared" "-lm"
-                       "-o" "libavalontoolkit.so" "canonizer.c" "smi2mol.c"
-                       "struchk.c" "patclean.c" (find-files "." "\\.o$"))
-                ;; patclean is not built here as there is an undeclared
-                ;; variable in main().
-                (for-each
-                 (lambda (program)
-                   (display (string-append "Building " program "\n"))
-                   (invoke "gcc" "-L." "-lavalontoolkit" "-lm" "-O2"
-                           (string-append "-Wl,-rpath=" #$output "/lib")
-                           "-DMAIN" (string-append program ".c") "-o" program))
-                 programs)))
-            (replace 'install
-              (lambda _
-                ;; Executables
+      #~(modify-phases %standard-phases
+          (delete 'configure)
+          (replace 'build
+            (lambda* (#:key parallel-build? #:allow-other-keys)
+              (mkdir "build")
+              (mkdir-p "target/executables")
+              (mkdir-p "target/libraries")
+              (invoke "make" "programs" "-j"
+                      (if parallel-build?
+                          (number->string (parallel-job-count))
+                          "1"))))
+          (replace 'install
+            (lambda _
+              ;; Executables
+              (let ((programs '("canonizer" "matchtest" "smi2mol" "struchk")))
                 (for-each
                  (lambda (program)
-                   (install-file program (string-append #$output "/bin")))
-                 programs)
-                (for-each
-                 (lambda (name)
-                   (symlink (string-append #$output "/bin/smi2mol")
-                            (string-append #$output "/bin/" name)))
-                 '("mol2smi" "rdf2smi" "mol2tbl" "mol2sma" "smi2rdf"))
-                ;; Library
-                (install-file "libavalontoolkit.so"
-                              (string-append #$output "/lib"))
-                (for-each
-                 (lambda (file)
-                   (install-file file (string-append #$output
-                                                    "/include/avalontoolkit")))
-                 (find-files "." "\\.h$"))
-                (install-file "../license.txt"
-                              (string-append #$output "/share/doc/"
-                                             #$name "-" #$version "/"))))))))
+                   (install-file (string-append "target/executables/" program)
+                                 (string-append #$output "/bin")))
+                 programs))
+              (for-each
+               (lambda (name)
+                 (symlink (string-append #$output "/bin/smi2mol")
+                          (string-append #$output "/bin/" name)))
+               '("mol2smi" "rdf2smi" "mol2tbl" "mol2sma" "smi2rdf"))
+              ;; Library
+              (install-file "target/libraries/libavalon_tools.a"
+                            (string-append #$output "/lib"))
+              (install-file "target/libraries/libavalon4rdkit.a"
+                            (string-append #$output "/lib"))
+              (for-each
+               (lambda (file)
+                 (install-file file (string-append #$output
+                                                   "/include/avalontoolkit")))
+               (find-files "src/main/C/include" "\\.h$"))
+              (install-file "license.txt"
+                            (string-append #$output "/share/doc/"
+                                           #$name "-" #$version "/")))))))
     (home-page "https://sourceforge.net/projects/avalontoolkit/")
     (synopsis "Tools for SMILES and MOL files and for structure fingerprinting")
     (description "This package contains a library and programs for
diff --git a/gnu/packages/patches/avalon-toolkit-rdkit-fixes.patch b/gnu/packages/patches/avalon-toolkit-rdkit-fixes.patch
new file mode 100644
index 0000000000..c93a9869ed
--- /dev/null
+++ b/gnu/packages/patches/avalon-toolkit-rdkit-fixes.patch
@@ -0,0 +1,110 @@
+Patches taken from the rdkit fork at this commit (there version
+AvalonToolkit_2.0.6-pre.2):
+https://github.com/rdkit/ava-formake/commit/d05bee0382b8f4696b2b4b05b0038fb7d559520a
+
+diff -ur a/src/main/C/common/reaccsio.c b/src/main/C/common/reaccsio.c
+--- a/src/main/C/common/reaccsio.c
++++ b/src/main/C/common/reaccsio.c
+@@ -322,34 +322,49 @@
+       fprintf(fp,"\n");
+ }
+ 
++#define MAX_BONDLINE_FIELDS 7
++#define BONDLINE_FIELD_LEN 3
++
+ int ReadREACCSBond(Fortran_FILE *fp, struct reaccs_bond_t *bp)
+ {
+-   int nitems, i;
+-   char buffer[MAX_BUFFER+1];
++   int nitems, i, j, k;
++   int bond_line_len, n_chars, pos;
++   int *ptrarray[MAX_BONDLINE_FIELDS];
++   char c;
++   char buffer[BONDLINE_FIELD_LEN+1];
+ 
+    if (fp->status != FORTRAN_NORMAL) return(fp->status);
+ 
+-   strncpy(buffer,fp->buffer,MAX_BUFFER);
+-   /* zero pad only atom numbers! */
+-   for (i=0; i<6; i++) if (buffer[i] == ' ') buffer[i] = '0';
+-
+    bp->stereo_symbol = 0;
+    bp->dummy = 0;
+    bp->topography = 0;
+    bp->reaction_mark = NONE;
+-   // make sure spaces are interpreted the Fortran-way
+-   for (i=9; i<strlen(buffer)  &&  i<21; i+=3)
+-   {
+-       if ((i+1)<strlen(buffer)  &&  buffer[i+1]==' ') buffer[i+1] = '0';
+-       if ((i+2)<strlen(buffer)  &&  buffer[i+2]==' ') buffer[i+2] = '0';
++   ptrarray[0] = &bp->atoms[0];
++   ptrarray[1] = &bp->atoms[1];
++   ptrarray[2] = &bp->bond_type;
++   ptrarray[3] = &bp->stereo_symbol;
++   ptrarray[4] = &bp->dummy;
++   ptrarray[5] = &bp->topography;
++   ptrarray[6] = &bp->reaction_mark;
++   bond_line_len = strlen(fp->buffer);
++   nitems = bond_line_len ? (bond_line_len - 1) / BONDLINE_FIELD_LEN + 1 : 0;
++   if (nitems > MAX_BONDLINE_FIELDS)
++      nitems = MAX_BONDLINE_FIELDS;
++   for (i = 0; i < nitems; ++i)
++   {
++      pos = i * BONDLINE_FIELD_LEN;
++      memset(buffer, 0, BONDLINE_FIELD_LEN + 1);
++      n_chars = bond_line_len - pos;
++      if (n_chars > BONDLINE_FIELD_LEN)
++         n_chars = BONDLINE_FIELD_LEN;
++      for (j = 0, k = 0; j < n_chars; ++j)
++      {
++         c = fp->buffer[pos + j];
++         if (c != ' ')
++            buffer[k++] = c;
++      }
++      sscanf(buffer, "%3d", ptrarray[i]);
+    }
+-   nitems = sscanf(buffer,
+-                   "%3d%3d%3d%3d%3d%3d%3d",
+-                   &bp->atoms[0],   &bp->atoms[1],
+-                   &bp->bond_type,  &bp->stereo_symbol,
+-                   &bp->dummy,
+-                   &bp->topography, &bp->reaction_mark);
+-
+    if (nitems >= 3)
+    {
+       GetBuffer(fp);
+@@ -1582,6 +1597,8 @@
+ 
+    PrintREACCSMolecule(fp, mp,"");
+ 
++   fputc('\0', fp);
++   fflush(fp);
+    rewind(fp);
+ 
+    MolStr = _ReadFile(fp);
+diff -ur a/src/main/C/programs/struchk.c b/src/main/C/programs/struchk.c
+--- a/src/main/C/programs/struchk.c
++++ b/src/main/C/programs/struchk.c
+@@ -1581,6 +1581,22 @@
+ 
+    if ((result & SIZE_CHECK_FAILED) == 0)
+    {
++      for (i = 0; i < mp->n_bonds; ++i) {
++         for (j = 0; j < 2; ++j) {
++            if (mp->bond_array[i].atoms[j] < 1 || mp->bond_array[i].atoms[j] > mp->n_atoms)
++            {
++               snprintf(msg_buffer, MAXMSG,
++                  "%10s    : illegal atom # (%d, max allowed is %d) in bond %d",
++                  mp->name, mp->bond_array[i].atoms[j], mp->n_atoms, i + 1);
++               AddMsgToList(msg_buffer);
++               result |= SIZE_CHECK_FAILED;
++            }
++         }
++      }
++   }
++
++   if ((result & SIZE_CHECK_FAILED) == 0)
++   {
+       if (convert_atom_texts)
+       {
+          tmp = ConvertAtomAliases(mp);
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at 68790 <at> debbugs.gnu.org:


Received: (at 68790) by debbugs.gnu.org; 28 Jan 2024 23:02:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:02:58 2024
Received: from localhost ([127.0.0.1]:58621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUEB0-0004X6-0a
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:58 -0500
Received: from mout02.posteo.de ([185.67.36.66]:34135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUEAt-0004Vu-Lz
 for 68790 <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:52 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 21AF4240105
 for <68790 <at> debbugs.gnu.org>; Mon, 29 Jan 2024 00:02:38 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482958; bh=KG9Lv1SzYMyI9Dk4G3B7tu7XB+0OB0Uy99fNP9PLa0g=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:
 Content-Transfer-Encoding:From;
 b=rWyBWs7gblSWtgCsnkqPqHd6zniWAVcdUx6B/Tt7v/+pvXVrPlY0lAbjAI8Q+LQJC
 Ep5qnid2xrOopcloFQI2is1FZTR79S5FoAthFsv0TPfEujx5pdo75rc4THKParCSOc
 vLrmzAckUKtsiaed6OInZsix2WEksm01jgMtuX1qr0SXpirRIAIVE7AzTNRY0YTmAE
 IlsIU6b2GfA8Yac2tQfNbTRUtqnTttBP9qgTrZZVF+tKy4bOEJR+s//F1IFpljMhhd
 IAl1Ex6n5QdafJnRP+j4rQmijoAprfzRnm1+XRe+nUjf1ETKMFFibaQNrK/tQWDywM
 RRVNVRb5Wr7Dw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRlx5jp8z6twF;
 Mon, 29 Jan 2024 00:02:37 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: 68790 <at> debbugs.gnu.org
Subject: [PATCH 6/9] gnu: yaehmop: Update to 2023.03.1.
Date: Sun, 28 Jan 2024 23:01:59 +0000
Message-ID: <20240128230215.1389-6-david.elsing@HIDDEN>
In-Reply-To: <20240128225919.795-2-david.elsing@HIDDEN>
References: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68790
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/chemistry.scm (yaehmop): Update to 2023.03.1.
---
 gnu/packages/chemistry.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 44833d9c3f..4a9dd97c5b 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -812,7 +812,7 @@ (define-public coordgenlibs
 (define-public yaehmop
   (package
     (name "yaehmop")
-    (version "2022.09.1")
+    (version "2023.03.1")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -821,7 +821,7 @@ (define-public yaehmop
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1x0d75m1hgdb411fiv7c5bwq1n4y0swrll0gigh8v5c73kjxrja0"))
+                "18xnxqn8i7vswy3iffapfh9q2iimpnd23ps45hn4xxbs6dqgzprb"))
               (modules '((guix build utils)))
               (snippet
                '(begin
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at 68790 <at> debbugs.gnu.org:


Received: (at 68790) by debbugs.gnu.org; 28 Jan 2024 23:02:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:02:57 2024
Received: from localhost ([127.0.0.1]:58617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUEAx-0004Wn-15
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:57 -0500
Received: from mout01.posteo.de ([185.67.36.65]:41033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUEAr-0004Vl-4U
 for 68790 <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:49 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 8FD30240029
 for <68790 <at> debbugs.gnu.org>; Mon, 29 Jan 2024 00:02:35 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482955; bh=nDl519OD/h7C9P7Ju2VnE+j0AsiaNhMqn68DImw5B08=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:
 Content-Transfer-Encoding:From;
 b=UlbMW8lkk/XW/6WirWMkTwHzbTzt8u6tYfXEVa6KReRGWt90OoWjN9PN0hHvr/i0Z
 stRVXx2HePmyoihoJ5MCkjBk1GbvftdokNp/P9IkY88L0qKn/gnXqE9I96QtQXhVc9
 nvzvXQHI50AHXBkcaC+CId/RhhcEW4ycMkiCBr0g9ugDpj6eDHMwU5K9N0jaAX0txq
 JWX7ZsZ7u8HQ4tlhnW4nZjkpL0xhJ6Mezwe5J1iuIpMwayXCjcBzSq7zL3HlMyqmMR
 OpDYnmjC2WA30uZ6YQfNMNEfPcC4W9fgdmLnWlc0V3oPmtjKeQOeRiOCvJQvcx/pIv
 DSAiLVPuPM0dg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRlv1QkSz6tyv;
 Mon, 29 Jan 2024 00:02:35 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: 68790 <at> debbugs.gnu.org
Subject: [PATCH 4/9] gnu: maeparser: Update to 1.3.1.
Date: Sun, 28 Jan 2024 23:01:57 +0000
Message-ID: <20240128230215.1389-4-david.elsing@HIDDEN>
In-Reply-To: <20240128225919.795-2-david.elsing@HIDDEN>
References: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68790
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/chemistry.scm (maeparser): Update to 1.3.1.
---
 gnu/packages/chemistry.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 5129470e1e..9086d659cc 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -765,7 +765,7 @@ (define-public freesasa
 (define-public maeparser
   (package
     (name "maeparser")
-    (version "1.3.0")
+    (version "1.3.1")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -774,7 +774,7 @@ (define-public maeparser
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1yv4y5hn49fhylziigsg922bb244lb57p69r7vg9q899zd3l5b7l"))))
+                "0mr5glg4br04ql5grby8yqni9fqq1l1cc75wyc159a1b9lwr7q7r"))))
     (build-system cmake-build-system)
     (inputs (list boost zlib))
     (home-page "https://github.com/schrodinger/maeparser")
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at 68790 <at> debbugs.gnu.org:


Received: (at 68790) by debbugs.gnu.org; 28 Jan 2024 23:02:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:02:55 2024
Received: from localhost ([127.0.0.1]:58613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUEAv-0004WT-J2
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:54 -0500
Received: from mout02.posteo.de ([185.67.36.66]:38237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUEAp-0004Vb-KR
 for 68790 <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:48 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 14670240106
 for <68790 <at> debbugs.gnu.org>; Mon, 29 Jan 2024 00:02:34 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482954; bh=C1YIyT0st2coxHazmijrHjh84MsNqtSQQFTSHEjtLNw=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:
 Content-Transfer-Encoding:From;
 b=NVVotSbvnOX1CudYyhMqdf8p/J9zIY1bEgDH07oHHAarJNoGCQM1X+pL3WHuGpbPl
 eADh5o5IhbhHo+GKi66GyUdMNz9v0aYOQQB1fwCaTFWaxtNXFRLBxMUELcH3WZcmcb
 FI109W8V499Xyz3CDmy+KNVldjKpNL4Dyqixb9h2Q/AvaaBmBRj8CsxLNDplIZWFUT
 /DsrZGeA30OMe/5NUNUqZbHErJ2tGmmSu42FsrVNTtohlGIboR+4nCq5ObmvV/uPFm
 Mcy2iVLHMHh709zP6c5yyQUKxKhCMbyw7F/USCgCfKvXRF0QKB1S0j1nTP1od+B+mA
 P14gcP8kbKoSA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRls5DFPz6tsb;
 Mon, 29 Jan 2024 00:02:33 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: 68790 <at> debbugs.gnu.org
Subject: [PATCH 3/9] gnu: gemmi: Update to 0.6.4.
Date: Sun, 28 Jan 2024 23:01:56 +0000
Message-ID: <20240128230215.1389-3-david.elsing@HIDDEN>
In-Reply-To: <20240128225919.795-2-david.elsing@HIDDEN>
References: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68790
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/chemistry.scm (gemmi): Update to 0.6.4.
[arguments]: Adjust include/gemmi/sprintf.hpp -> src/sprintf.cpp.
(freesasa)[arguments]: Link to gemmi_cpp explicitly.
---
 gnu/packages/chemistry.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index df96a2f5c1..5129470e1e 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -589,7 +589,7 @@ (define-public python-pymol
 (define-public gemmi
   (package
     (name "gemmi")
-    (version "0.5.7")
+    (version "0.6.4")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -598,7 +598,7 @@ (define-public gemmi
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "00km5q726bslrw7xbfwb3f3mrsk19qbimfnl3hvr4wi1y3z8i18a"))
+                "0wciqqswc4p4v4kglfv36gnvyyimqn4lnywdzd0pgrjn443i860y"))
               (patches
                (search-patches "gemmi-fix-sajson-types.patch"
                                "gemmi-fix-pegtl-usage.patch"))
@@ -625,7 +625,7 @@ (define-public gemmi
       #~(modify-phases %standard-phases
           (add-after 'unpack 'patch-includes
             (lambda _
-              (substitute* (list "include/gemmi/sprintf.hpp"
+              (substitute* (list "src/sprintf.cpp"
                                  "include/gemmi/dirwalk.hpp"
                                  "include/gemmi/cif.hpp"
                                  "include/gemmi/json.hpp"
@@ -722,7 +722,7 @@ (define-public freesasa
                 (("libfreesasa\\.a") "libfreesasa.la")
                 (("freesasa_LDADD \\+= libfreesasa\\.la" prev)
                  (string-append prev "\nlibfreesasa_la_LIBADD"
-                                " = -ljson-c ${libxml2_LIBS}\n"))
+                                " = -ljson-c -lgemmi_cpp ${libxml2_LIBS}\n"))
                 (("_a_SOURCES") "_la_SOURCES"))
               (substitute* "configure.ac"
                 (("AC_PROG_INSTALL" inst)
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at 68790 <at> debbugs.gnu.org:


Received: (at 68790) by debbugs.gnu.org; 28 Jan 2024 23:02:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:02:48 2024
Received: from localhost ([127.0.0.1]:58603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUEAp-0004Vx-QS
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:48 -0500
Received: from mout02.posteo.de ([185.67.36.66]:53131)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUEAn-0004VS-1T
 for 68790 <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:46 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 6D6B1240104
 for <68790 <at> debbugs.gnu.org>; Mon, 29 Jan 2024 00:02:31 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482951; bh=B/DFGkQGo5UEY4l/gswgI5MpCO8tJdJ09+bnapBxrp8=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:Content-Type:
 Content-Transfer-Encoding:From;
 b=jgmQ5WbO4o7xmIRRbO9SD4Aq9xsVH1sRJCarhfkoyd5zOa4H9laVATAAu9HnkCoVw
 WzybLAu7S/ix2OOYqvFiPezZg/0bZ7Z6NrKM6MDIw9R34fQw+4aBjsO5/pQ3JvMJs7
 eJJ6AlTyL1oirHAjavhsAqxfWhATlr5f0x2CzWiVzuUs3OT78hJl8MaxPwCQB9+Suq
 zKjWt9sWTH1ZslbZ6vDz7MrN8GDQ5Qm05XtnMCSOoyQSdP1wwsuS7zryxDkV5aPJ32
 H3SUlO8VVRPd7KdS7jZzLzLNdNSHSO8aMRhpNdvYe2M8dRrPEyaYJN1PlfDs55I+5s
 tAzw7NzSrK+OA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRlq0GW6z6twF;
 Mon, 29 Jan 2024 00:02:31 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: 68790 <at> debbugs.gnu.org
Subject: [PATCH 2/9] gnu: fast-float: Update to 6.0.0.
Date: Sun, 28 Jan 2024 23:01:55 +0000
Message-ID: <20240128230215.1389-2-david.elsing@HIDDEN>
In-Reply-To: <20240128225919.795-2-david.elsing@HIDDEN>
References: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68790
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/cpp.scm (fast-float): Update to 6.0.0.
[arguments]: Adjust path to test files.
---
 gnu/packages/cpp.scm | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 44175231af..71c170a48b 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -29,7 +29,7 @@
 ;;; Copyright © 2022 muradm <mail@HIDDEN>
 ;;; Copyright © 2022 Attila Lendvai <attila@HIDDEN>
 ;;; Copyright © 2022 Arun Isaac <arunisaac@HIDDEN>
-;;; Copyright © 2022, 2023 David Elsing <david.elsing@HIDDEN>
+;;; Copyright © 2022, 2023, 2024 David Elsing <david.elsing@HIDDEN>
 ;;; Copyright © 2022, 2023 Zheng Junjie <873216071@HIDDEN>
 ;;; Copyright © 2022, 2023, 2024 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2022 Antero Mejr <antero@HIDDEN>
@@ -2449,7 +2449,7 @@ (define fast-float-test-files
 (define-public fast-float
   (package
     (name "fast-float")
-    (version "3.5.1")
+    (version "6.0.0")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -2458,7 +2458,7 @@ (define-public fast-float
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0z3rxxd0pwvw70dbnv63rm67biw829vdqf50y16isxm6g3sbrz8g"))))
+                "1xf4gbllha760cr0ri53zsja46dypj45lj070ijb5f78xavfd8f8"))))
     (build-system cmake-build-system)
     (arguments
      (list
@@ -2474,9 +2474,7 @@ (define-public fast-float
                 (("if\\(NOT supplemental_test_files_POPULATED.*")
                  (string-append
                   "set(supplemental_test_files_BINARY_DIR "
-                  (search-input-directory (or native-inputs inputs)
-                                          "data")
-                  ")\nif(0)\n"))))))))
+                  #$fast-float-test-files ")\nif(0)\n"))))))))
     (native-inputs (list doctest fast-float-test-files))
     (home-page "https://github.com/fastfloat/fast_float")
     (synopsis "Floating point number parser for C++")
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at 68790 <at> debbugs.gnu.org:


Received: (at 68790) by debbugs.gnu.org; 28 Jan 2024 23:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:02:42 2024
Received: from localhost ([127.0.0.1]:58597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUEAk-0004Va-9v
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:42 -0500
Received: from mout01.posteo.de ([185.67.36.65]:40965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUEAi-0004VL-OZ
 for 68790 <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:02:41 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id B8F28240028
 for <68790 <at> debbugs.gnu.org>; Mon, 29 Jan 2024 00:02:26 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482946; bh=RKi7+9nDzwkquDbx5wY0fY8mNMim/yTpnkg6WXgB888=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:Content-Type:
 Content-Transfer-Encoding:From;
 b=UrCcTpDolH3t764Y1dgy8D6BjMM+BWdSUmGP5o/dfE4nEryh/viP4PSG1td6U7Iux
 aaTxZZfcB+Oci78M1AGcItXmJp4COJkh+Bjti9s8Uu4iKyn0sjZ4Qcoe9SKWFZgoWx
 Cigv8D51jy99aTD6TpWBtt6acwMPQh7qQpnlrV8ytOPvepaXLLeCQ8aHUu9Fe3ZSG0
 ccJdVE5ZPhDmerF9KTmXcN2pgg2VwyXeEbbC/zeZH31O/QgJzMXxrStCVJkn0cGBiE
 az8MJOuslyHdjhjv3jJY2QdVhxik7Dm4G8t2/ldnFBVBlr07zdockK3i2jCqNZ3zxW
 5ayMd6E0TtM5A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRlk1fbTz6tx2;
 Mon, 29 Jan 2024 00:02:26 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: 68790 <at> debbugs.gnu.org
Subject: [PATCH 1/9] gnu: tinydir: Update to 1.2.6.
Date: Sun, 28 Jan 2024 23:01:54 +0000
Message-ID: <20240128230215.1389-1-david.elsing@HIDDEN>
In-Reply-To: <20240128225919.795-2-david.elsing@HIDDEN>
References: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68790
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/c.scm (tinydir): Update to 1.2.6.
* gnu/packages/patches/tinydir-fix-cbehave-test.patch: Adjust patch.
---
 gnu/packages/c.scm                               |  6 +++---
 .../patches/tinydir-fix-cbehave-test.patch       | 16 ++++++++++++++--
 2 files changed, 17 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index 1346605c71..b558145ea0 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -20,7 +20,7 @@
 ;;; Copyright © 2022 Antero Mejr <antero@HIDDEN>
 ;;; Copyright © 2023 zamfofex <zamfofex@HIDDEN>
 ;;; Copyright © 2023 Foundation Devices, Inc. <hello@HIDDEN>
-;;; Copyright © 2023 David Elsing <david.elsing@HIDDEN>
+;;; Copyright © 2023, 2024 David Elsing <david.elsing@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1349,7 +1349,7 @@ (define target-machine #$(and=> (%current-target-system)
 (define-public tinydir
   (package
     (name "tinydir")
-    (version "1.2.5")
+    (version "1.2.6")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -1358,7 +1358,7 @@ (define-public tinydir
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1nprgdfx4i8wzc1idw6chan4fjfa75b5ll8kghdc0q2278pny259"))
+                "143n6yabznxk032gv5g2k8glf0kzicarg9cx0714zsbfmzj8lr07"))
               (patches (search-patches "tinydir-fix-cbehave-test.patch"))
               (modules '((guix build utils)))
               (snippet '(delete-file-recursively "tests/cbehave"))))
diff --git a/gnu/packages/patches/tinydir-fix-cbehave-test.patch b/gnu/packages/patches/tinydir-fix-cbehave-test.patch
index 84ecee12c2..1cad42c7a0 100644
--- a/gnu/packages/patches/tinydir-fix-cbehave-test.patch
+++ b/gnu/packages/patches/tinydir-fix-cbehave-test.patch
@@ -2,10 +2,22 @@ Make test work with upstream cbehave
 (tinydir bundles a modified version)
 
 diff --git a/tests/file_open_test.c b/tests/file_open_test.c
-index 3e659bc..9f6f88d 100644
+index 09b856e..92b13ca 100644
 --- a/tests/file_open_test.c
 +++ b/tests/file_open_test.c
-@@ -19,4 +19,7 @@ FEATURE(file_open, "File open")
+@@ -4,6 +4,11 @@
+ #include "cbehave.h"
+ #include "util.h"
+ 
++#define ASSERT(cond, ret) \
++if (!(cond)) {\
++    cbehave_feature_return(__FILE__, __LINE__, ret, _state); \
++    goto _feature_over; \
++}\
+ 
+ FEATURE(file_open, "File open")
+ 	SCENARIO("Open file in current directory")
+@@ -34,4 +39,7 @@ FEATURE(file_open, "File open")
  	SCENARIO_END
  FEATURE_END
  
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jan 2024 23:00:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 18:00:26 2024
Received: from localhost ([127.0.0.1]:58591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rUE8X-0004R7-Nf
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:00:26 -0500
Received: from lists.gnu.org ([2001:470:142::17]:36170)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.elsing@HIDDEN>) id 1rUE8V-0004Qr-3R
 for submit <at> debbugs.gnu.org; Sun, 28 Jan 2024 18:00:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <david.elsing@HIDDEN>)
 id 1rUE8F-0005cF-Qd
 for guix-patches@HIDDEN; Sun, 28 Jan 2024 18:00:07 -0500
Received: from mout02.posteo.de ([185.67.36.66])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <david.elsing@HIDDEN>)
 id 1rUE8D-00050f-H4
 for guix-patches@HIDDEN; Sun, 28 Jan 2024 18:00:07 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 32E3B240103
 for <guix-patches@HIDDEN>; Mon, 29 Jan 2024 00:00:01 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1706482801; bh=d93GFOkpBJfehwDmriNldh4fYfol7QF661kdGtcWfsU=;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:
 Content-Transfer-Encoding:From;
 b=JkItGUGbNAdvkcvKaUmnG7elElAXA52wYaNkds+nlvB5plOE4Qos7H7JN3fShUgco
 DGGACYeofmCnjNjZSKcCc0l2FNIRpiZkY+pSYFPREIZEHqQfZPHqJ6l+gXsRynyb5o
 tNZaFwxhabe074EL+ZQr2aDyIYd6T8AMMBaA1KQ3HtKijOBbvbH7hfyi/ZFlgXr48C
 2mIshbQweOVwlIvuEY12EqauudlEx92V1xSAT8sp7iMHw8elIu4i77aNn9o4TrLb89
 92zjccWrGmcIA/mBXM6hawW9+w0rtluKLBZXzRF59mAVReKyyYgPSi3vwWBDGWdMmu
 R/sv60Hdarexg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4TNRhw5mjTz6tvk;
 Mon, 29 Jan 2024 00:00:00 +0100 (CET)
From: David Elsing <david.elsing@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/9] Update rdkit and its dependencies
Date: Sun, 28 Jan 2024 22:59:20 +0000
Message-ID: <20240128225919.795-2-david.elsing@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.66;
 envelope-from=david.elsing@HIDDEN; helo=mout02.posteo.de
X-Spam_score_int: -53
X-Spam_score: -5.4
X-Spam_bar: -----
X-Spam_report: (-5.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H5=-1, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: David Elsing <david.elsing@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

This patch series updates rdkit and some of its dependencies.

I incorporated the patch from [1], which was addressed upstream, but is
not in a new release yet.

It seems like RDKit is only tested on 64 bit systems upstream and
several tests fail on i686 (including one due to a known bug in
Boost.Python [2]), therefore I set supported-systems to
%64bit-supported-systems.

Avalon Toolkit moved to a new repository [3], which was forked for RDKit
[4]. As the changes in the fork are small and only fixes, I put them in
a patch and use [3] as upstream.

[1] https://issues.guix.gnu.org/64559
[2] https://github.com/boostorg/python/issues/312
[3] https://github.com/rohdebe1/ava-formake
[4] https://github.com/rdkit/ava-formake

David Elsing (9):
  gnu: tinydir: Update to 1.2.6.
  gnu: fast-float: Update to 6.0.0.
  gnu: gemmi: Update to 0.6.4.
  gnu: maeparser: Update to 1.3.1.
  gnu: coordgenlibs: Update to 3.0.2.
  gnu: yaehmop: Update to 2023.03.1.
  gnu: avalon-toolkit: Update to 2.0.5a.
  gnu: freesasa: Fix memerr tests.
  gnu: rdkit: Update to 2023.09.4.

 gnu/local.mk                                  |   2 +
 gnu/packages/c.scm                            |   6 +-
 gnu/packages/chemistry.scm                    | 175 +++++++--------
 gnu/packages/cpp.scm                          |  10 +-
 .../patches/avalon-toolkit-rdkit-fixes.patch  | 110 +++++++++
 ...rdkit-unbundle-external-dependencies.patch | 208 ++++++++++--------
 .../patches/tinydir-fix-cbehave-test.patch    |  16 +-
 7 files changed, 330 insertions(+), 197 deletions(-)
 create mode 100644 gnu/packages/patches/avalon-toolkit-rdkit-fixes.patch

-- 
2.41.0





Acknowledgement sent to David Elsing <david.elsing@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#68790; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 13 Feb 2024 12:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.